Subject: Re: [PATCH v13 vfio 0/7] pds-vfio-pci driver

From: Alex Williamson <[email-masked]>
Date: Wed, 26 Jul 2023 13:25:44 -0600

On Wed, 26 Jul 2023 12:05:13 -0700
Brett Creeley <[email-masked]> wrote:

> On 7/26/2023 11:50 AM, Alex Williamson wrote:
> > Caution: This message originated from an External Source. Use proper caution when opening attachments, clicking links, or responding.
> > 
> > 
> > On Wed, 26 Jul 2023 10:35:06 -0300
> > Jason Gunthorpe <[email-masked]> wrote:
> >   
> >> On Tue, Jul 25, 2023 at 02:40:18PM -0700, Brett Creeley wrote:
> >>  
> >>> Note: This series is based on the latest linux-next tree. I did not base
> >>> it on the Alex Williamson's vfio/next because it has not yet pulled in
> >>> the latest changes which include the pds_vdpa driver. The pds_vdpa
> >>> driver has conflicts with the pds-vfio-pci driver that needed to be
> >>> resolved, which is why this series is based on the latest linux-next
> >>> tree.  
> >>
> >> This is not the right way to handle this, Alex cannot apply a series
> >> against linux-next.
> >>
> >> If you can't make a shared branch and the conflicts are too
> >> significant to forward to Linus then you have to wait for the next
> >> cycle.  
> > 
> > Brett, can you elaborate on what's missing from my next branch vs
> > linux-next?
> > 
> > AFAICT the pds_vdpa driver went into mainline via a8d70602b186 ("Merge
> > tag 'for_linus' of
> > git://git.kernel.org/pub/scm/linux/kernel/git/mst/vhost") during the
> > v6.5 merge window and I'm not spotting anything in linux-next obviously
> > relevant to pds-vfio-pci since then.
> > 
> > There's a debugfs fix on the list, but that's sufficiently trivial to
> > fixup on merge if necessary.  This series also applies cleanly vs my
> > current next branch.  Was the issue simply that I hadn't updated my
> > next branch (done yesterday) since the v6.5 merge window?  You can
> > always send patches vs mainline.  Thanks,  
> 
> Yeah, this was exactly it. Your vfio/next branch didn't have the 
> pds_vdpa series in it yet, which also included some changes to the 
> header files used by the pds-vfio-pci series, which is where the 
> conflicts are.

Ok, so let's put this back on the table as a candidate for v6.6.

> Should I rebase my series on your vfio/next branch and resend?

It doesn't seem necessary, I think rebasing my next branch to v6.5-rc3
made it effectively equivalent to linux-next for the purposes of this
driver.  It applies cleanly, so I think we can continue review from
this.  Thanks,

Alex